#include <windows.h>
#include "../../bootstrap/abplugin.h"
#include "abpas.h"

ColorizeInfo Info;
int colors[]={0x03,-1,0x03,-1,0x09,-1,0x0F,-1,0x0D,-1,0x0E,-1,0x0A,-1,0x0C,-1,0x01,0x0C};
char *colornames[]={"Comment {}","Comment (**)","Assembler","Keyword","\";\" Symbol","String","Number","Pair","Wrong Pair"};

int WINAPI SetColorizeInfo(ColorizeInfo *AInfo)
{
  if((AInfo->version<AB_VERSION)||(AInfo->api!=AB_API)) return false;
  Info=*AInfo;
  return true;
};

int WINAPI _export GetParams(int index,int command,char **param)
{
  switch(command)
  {
    case PAR_GET_NAME:
      *param="pascal";
      return true;
    case PAR_GET_PARAMS:
      return PAR_MASK_STORE|PAR_MASK_CACHE|PAR_COLORS_STORE;
    case PAR_GET_MASK:
      *param="*.pas,*.dpr";
      return true;
    case PAR_GET_COLOR_COUNT:
      *(int *)param=sizeof(colornames)/sizeof(colornames[0]);
      return true;
    case PAR_GET_COLOR:
      (int *)*param=colors;
      return true;
    case PAR_GET_COLOR_NAME:
      (char **)*param=colornames;
      return true;
  }
  return false;
}

#ifdef __cplusplus
extern "C"{
#endif
  bool WINAPI DllMainCRTStartup(HANDLE hDll,DWORD dwReason,LPVOID lpReserved);
#ifdef __cplusplus
};
#endif

bool WINAPI DllMainCRTStartup(HANDLE hDll,DWORD dwReason,LPVOID lpReserved)
{
  return true;
}
